import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppComponent } from './app.component';
import { FormModuleOneComponent } from './form-module-one/form-module-one.component';
import { ReactiveFormOneComponent } from './reactive-form-one/reactive-form-one.component';
import { HomeComponent } from './home/home.component';
import { LoginComponent } from './login/login.component';
import { MyAccountComponent } from './my-account/my-account.component';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RouterModule, Routes } from '@angular/router';
import { AUTH_PROVIDERS } from './auth.service';

// routes
const routes: Routes = [
{ path: '', redirectTo: 'home', pathMatch: 'full'},
{ path: 'home', component: HomeComponent }, // domain.com/home
// [routerLink]="['/home']"   VIEW
{ path: 'login', component: LoginComponent},
{ path: 'form1', component: FormModuleOneComponent },
{ path: 'form2', component: ReactiveFormOneComponent }
]; // routes

@NgModule({
  declarations: [
    AppComponent,
    FormModuleOneComponent,
    ReactiveFormOneComponent,
    HomeComponent,
    LoginComponent,
    MyAccountComponent
  ],
  imports: [
    BrowserModule, FormsModule, ReactiveFormsModule, RouterModule.forRoot(routes)
  ],
  providers: [AUTH_PROVIDERS],
  bootstrap: [AppComponent]
})
export class AppModule { }
