import { Component, OnInit } from '@angular/core';
import { AbstractControl, FormBuilder, FormGroup, Validators, FormControl } from '@angular/forms';

@Component({
  selector: 'app-reactive-form-one',
  templateUrl: './reactive-form-one.component.html',
  styleUrls: ['./reactive-form-one.component.css']
})
export class ReactiveFormOneComponent implements OnInit {
  myForm: FormGroup;
  sku: AbstractControl; // test the control and pass back to view

  constructor(fb: FormBuilder) {

      this.myForm = fb.group(
        {
          'sku': ['', Validators.required],   // element 1 is default value
          'product': ['']   // no abstract needed
        } // set
      ); // group

      this.sku = this.myForm.controls['sku'];

   } // constructor

   // functions and methods
   onSubmit(value: string): void {

    console.log('You submitted', value)

   } // onSubmit

  ngOnInit(): void {
  }

}
